%define upstream_name Complete
%define upstream_version 0.202

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Convention for Complete::* modules family and common settings
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/authors/id/P/PE/PERLANCAR/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(Test::More)
BuildArch:  noarch

%description
The namespace Complete:: is used for the family of modules that deal
with completion (including, but not limited to, shell tab completion,
tab completion feature in other CLI-based application, web
autocomplete, completion in GUI, etc). This (family of) modules try to
have a clear separation between general completion routine and
shell-/environment specific ones, for more reusability.

This POD page gives an overview of the modules in Complete::*
namespace, establishes convention, and declares common settings.

%prep
%autosetup -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Mon Mar 21 2022 umeabot <umeabot> 0.202.0-3.mga9
+ Revision: 1812320
- Mageia 9 Mass Rebuild

* Thu Feb 20 2020 umeabot <umeabot> 0.202.0-2.mga8
+ Revision: 1545605
- Mageia 8 Mass Rebuild

* Wed Jan 29 2020 tv <tv> 0.202.0-1.mga8
+ Revision: 1484900
- update to 0.202

* Sat Jun 29 2019 tv <tv> 0.201.0-1.mga8
+ Revision: 1415912
- update to 0.201

* Wed Dec 05 2018 tv <tv> 0.200.0-1.mga7
+ Revision: 1338430
- update to 0.200

* Wed Sep 19 2018 umeabot <umeabot> 0.160.0-4.mga7
+ Revision: 1266575
- Mageia 7 Mass Rebuild

* Sat Jun 18 2016 pterjan <pterjan> 0.160.0-3.mga6
+ Revision: 1024269
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 0.160.0-2.mga6
+ Revision: 969985
- Mageia 6 Mass Rebuild

* Mon Sep 28 2015 sander85 <sander85> 0.160.0-1.mga6
+ Revision: 884436
- update to 0.16

* Tue Jul 07 2015 sander85 <sander85> 0.120.0-1.mga6
+ Revision: 852610
- imported package perl-Complete

